
Redmine - Feature #2568

Description for issue statuses

2009-01-23 11:15 - Thomas Woelfle

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

We have the problem that users are not always sure what the semantic of a certain status is and what status they should set for a

ticket when updating it.

Therefore it would be nice to be able to add a documentation to issue statuses, especially when introducing custom statuses. The

documentation could then be presented to the user as a tooltip when selecting a status for a ticket.

Related issues:

Related to Redmine - Feature #705: Wiki links on field names New 2008-02-21

Related to Redmine - Feature #442: Add a description for trackers Closed

Related to Redmine - Feature #366: Custom field for issue status Closed

Related to Redmine - Feature #4768: "issue category" should have a "descripti... New 2010-02-08

Related to Redmine - Feature #5026: Description field for Status/Role/Tracker... New 2010-03-10

Has duplicate Redmine - Feature #12002: I'd like to see an Issue Status Descr... Closed

Has duplicate Redmine - Feature #35509: Description of issue statuses Closed

Associated revisions

Revision 22288 - 2023-08-31 15:21 - Go MAEDA

Add description for issue statuses and display them in issue new/edit form (#2568).

Patch by Takenori TAKAKI.

Revision 22289 - 2023-08-31 15:22 - Go MAEDA

Update locales (#2568).

Revision 22290 - 2023-09-01 01:30 - Go MAEDA

Add missing files in r22289 (#2568).

History

#1 - 2009-01-24 22:59 - Jerome Vanthournout

+1

I would also really appreciate this feature.

#2 - 2009-01-26 13:28 - Thomas Woelfle

The same would be nice for categories and priorities too.

#3 - 2009-02-05 10:56 - Thomas Pihl

Why not just document them on the wiki?

I have a page for each of those (incl some custom fields as well)

/T

#4 - 2009-02-05 11:09 - Thomas Woelfle

Thomas Pihl wrote:

Why not just document them on the wiki?
I have a page for each of those (incl some custom fields as well)

/T

 That's what we are doing currently. Some of our developers mentioned that it would increase the usibility if they do not have to open one or more wiki

pages (for statuses, categories, priorities, ...) while creating or updating issues.

Well, as said, it is just a usibility feature request.

#5 - 2009-06-12 19:16 - Anonymous

If you could attach a description to each status/category/priority then it could be displayed as a tooltip, vs having to look it up on the wiki.

#6 - 2013-03-18 15:37 - Dipan Mehta

+1 This is very important. Usually, when reading in a wiki you read things like reading a book - you don't know what to search for where. When people

are in the 'act of doing things' it makes sense to give them tool tip or some contextual help which doesn't requires them to move around pages. This is

very very crucial!

The closest to this I had came across - is extended fields which provides Hint per field. Again, this doesn't help about core fields, and also it is not

sufficiently contextual i.e. different for each tracker/status to tell users "what they should write HERE and NOW!"

#7 - 2013-03-18 16:17 - Daniel Felix

This could be solved too by a new look of the issue generation.

Maybe I could provide a new issue assistent the coming weeks.

#8 - 2013-03-22 13:42 - Toshi MARUYAMA

- Category set to Documentation

#9 - 2013-03-22 15:49 - Dipan Mehta

Why is the category documentation? The feature is actually asking for 'Tooltip/Hint/Help framework based on context' in Redmine.

#10 - 2013-03-22 16:28 - Dipan Mehta

Issue #442 talks about contextual documentation of Tracker rather than Status or custom fields However, we can have generic frameworks that can

encompass all such contextual help/documentation aspects.

#11 - 2013-03-24 09:11 - Toshi MARUYAMA

- Category deleted (Documentation)

#12 - 2013-04-09 03:32 - Dipan Mehta

Add related #9256 - the framework of #2568 essentially will cover that.

#13 - 2013-04-09 15:21 - Dipan Mehta

Another related #4768 - essentially documenting and contextually describing 'Category' (e.g. what type of issues qualify for this category) is another

important example.

#14 - 2013-04-09 16:41 - Dipan Mehta

Another related #5026 - requires description/documentation for Status/Role/Tracker.

Looks like, there is a lot of demand for the 'instant end-user documentation'

I was wondering, while issue #9256 is already planned under Candidate for next major release, will it be a good idea to have #2568 in the same

release?

#15 - 2013-10-14 02:52 - Mischa The Evil

- Related to deleted (Feature #9256: Trackers have a description in addition to a name)

#16 - 2014-11-08 11:15 - Toshi MARUYAMA

- Category set to Issues

#17 - 2014-11-08 11:17 - Toshi MARUYAMA

- Has duplicate Feature #12002: I'd like to see an Issue Status Description added
#18 - 2020-03-08 08:53 - Go MAEDA

- Subject changed from Issue status documentation to Description for issue statuses

#19 - 2021-07-03 06:32 - Go MAEDA

- Has duplicate Feature #35509: Description of issue statuses added

#20 - 2023-07-07 14:35 - Jonas De Meulenaere

+1

#21 - 2023-08-22 09:24 - Takenori TAKAKI

- File 2568-add-description-to-issue-statuses.patch added

+1

I've created a patch to add descriptions to issue statuses.

With this patch, users can set statuses while viewing descriptions, just like with the tracker.

#22 - 2023-08-29 03:56 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#23 - 2023-08-31 15:24 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

Now each issue status has a description field you can see them on the issue new/edit form.

#24 - 2023-08-31 17:47 - Alexander Meindl

db/migrate/20230818020734_add_status_description.rb of the patch is missing in the commit.

#25 - 2023-09-01 01:30 - Go MAEDA

Alexander Meindl wrote in #note-24:

db/migrate/20230818020734_add_status_description.rb of the patch is missing in the commit.

 Thank you, fixed in r22290.

#26 - 2023-10-29 23:48 - Mischa The Evil

- Start date deleted (2009-01-23)

Files

2568-add-description-to-issue-statuses.patch 13.3 KB 2023-08-22 Takenori TAKAKI
